
/* ========================================================================== Reset classes ==========================================================================*/

*{margin:0;padding:0;border: none;-webkit-tap-highlight-color: rgba(255, 255, 255, 0);}
*:focus{outline: none;}
html,select,option,input{font-family: Arial,Helvetica,STHeiTi,sans-serif;-webkit-text-size-adjust: 100%;}
html *{-webkit-tap-highlight-color:rgba(255,255,255,0);-ms-overflow-style:none;scrollbar-width: none;}

html::-webkit-scrollbar, body::-webkit-scrollbar{width:0px;height:0px;}
element::-webkit-scrollbar{display: none;}
body{-webkit-overflow-scrolling: touch;background:#fff;font-size:0.26rem;padding-top: constant(safe-area-inset-top); padding-left: constant(safe-area-inset-left);  padding-right: constant(safe-area-inset-right);padding-bottom: constant(safe-area-inset-bottom); }
a{color:#000;text-decoration: none;background-color: rgba(255, 255, 255, 0);cursor:pointer !important;}
a:active, a:hover{outline: 0;cursor:pointer;}
a:focus, input:focus{-webkit-tap-highlight-color:rgba(0, 0, 0, 0);}
img{ border-style: none;vertical-align: middle;object-fit: cover ; }
a, img{-webkit-touch-callout: none;}
textarea{overflow: auto;resize:none;border:none;font-family: Arial,Helvetica,STHeiTi,sans-serif;}
input{-webkit-appearance: none; }
input[type=button],input[type=text],input[type=date],select{-webkit-user-select: text;background:none;-webkit-appearance: none;border:0 !important;outline: 0; border-radius: 0 !important;}
input[type=datetime-local]{border:0!important;outline: 0;direction: rtl;position: relative;right: -0.3rem;text-align:right;appearance:none;width: 75%;height:1rem;line-height:1rem;position: relative;top:-0.1rem;cursor: pointer;background:none;-webkit-appearance: none;}
input[type=datetime-local]::-webkit-inner-spin-button{visibility: hidden;}
button{ border: none;outline: none;-webkit-appearance: none;-webkit-tap-highlight-color: rgba(0, 0, 0, 0);}
label{display:inline;border:none;}
ul, ol, li{list-style:none;}
/* A hack for HTML5 contenteditable attribute on mobile*/
.clear{clear:both;height:0;zoom: 1;}
.clearfix:after{visibility: hidden;display: block;font-size: 0;content:'';clear: both;height: 0;}
.over{overflow:hidden;}
.fl{float:left;}
.fr{float:right;}
.none{display:none;}
.flow{overflow: hidden;text-overflow:ellipsis;white-space: nowrap;}
.flow_two{text-overflow: -o-ellipsis-lastline;overflow: hidden;text-overflow: ellipsis;display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;}
input::-webkit-input-placeholder, textarea::-webkit-input-placeholder{color: #ccc;font-family: Arial,Helvetica,STHeiTi,sans-serif;font-weight:normal;font-size:0.26rem;}
.container{width:7.5rem;height:auto; margin: 0 auto; }
/*font-size*/
.bold{font-weight:bold;}
.black_two{color: #222;}
.black_three{color: #333;}
.black_six{color: #666;}
.black_nine{color: #999;}
.gray_c{color: #ccc;}
.gray_e{color: #eee;}
.font46{font-size:0.46rem;}
.font42{font-size: 0.42rem;}
.font40{font-size:0.4rem;}
.font38{font-size:0.38rem;}
.font36{font-size:0.36rem;}
.font34{font-size:0.34rem;}
.font32{font-size:0.32rem;}
.font30{font-size:0.3rem;}
.font28{font-size:0.28rem;}
.font26{font-size:0.26rem;}
.font24{font-size: 0.24rem;}
.font12{font-size: 12px;}
.tr{ text-align: right; }
.border_b{ border-bottom: 1px solid #eee; }
.pb{padding: 0.2rem;}
/*color*/
.blue{ color: #62ADFC; }
.orange{ color: #fe9600;}
.red{ color: #FD344F; }
/*fixed布局*//*如无需fixed 可不引用*/
.header{ position: absolute;top: 0;z-index: 9999; }
.content{position: absolute;top:0; bottom:0;overflow-y: scroll;-webkit-overflow-scrolling: touch;z-index: 8888;}
.footer {position: absolute; bottom: 0;z-index: 9999; }
.footer_box{ position: fixed; bottom: 0; width:7.5rem; height: auto; background: #f2f2f2;  margin: 0 auto;padding: 0.3rem 0}
.footer_box button{ width: 6.7rem; height: 0.88rem; line-height: 0.88rem; border-radius: 0.5rem; background: linear-gradient(92deg, #F9D213, #FE9600);left: 0.4rem; position: relative; color: #fff;}
.top{ position: fixed; top: 0;width: 6.9rem;padding: 0.3rem 0.3rem 0.2rem 0.3rem; height:auto;background: #EBF7FF; display: flex;line-height: 0.4rem; }
.content_box{top:1.5rem; bottom: 1.7rem; margin-left: 0.3rem;}

/*flex*/
.box{display: flex;display: -webkit-flex; flex-wrap:wrap;align-items: center;margin: 0 auto; height: auto; justify-content: space-between;}
.box_fs{justify-content: flex-start;}

/*none*/
.top_none{position: fixed; z-index: 10; top: 0;width: 6.9rem;padding: 0.2rem 0.3rem 0 0.3rem; height:auto;background: #fff; }
.top_none .top_input{ width: 4.6rem;padding: 0 0.2rem; height: 0.6rem;background: #F7F7F7; border-radius: 0.6rem;}
.top_none .top_input input{ height: 0.6rem;width: 4rem;margin: 0 0 0 0.1rem;}
.top_none .address{ width: 1.8rem; }
.tip_box{z-index: 6; width: 6.6rem;padding: 0 0.2rem; height: 0.6rem; line-height: 0.6rem; background: rgba(0,0,0,0.6); color: #fff; position: absolute; top: 1rem;left: 0.25rem; border-radius: 0.1rem;}
.tip_box div{ width: 0;height: 0;border-left:0.16rem solid transparent;border-right: 0.16rem solid transparent;border-bottom: 0.16rem solid rgba(0,0,0,0.6); position:absolute;top: -0.16rem;left: 0.6rem;}
.content_none{ top:1rem; }
.content_none .none_box{ width:5.8rem;padding: 2rem 0.85rem 1rem 0.85rem;text-align: center; background: #fff;}
.content_none .none_box .more_btn{ width: 5.8rem; background: #FD344F; color: #fff; text-align: center;height: 0.88rem; line-height: 0.88rem; border-radius: 0.88rem; margin: 1rem 0 0 0; }

/*地址管理*/
.add_box{ width: 6.4rem; padding: 0.3rem; border-radius: 0.2rem; background: #fff;margin:0 auto 0.2rem auto;}
.add_box p{margin-top: 0.2rem;line-height: 1.6;}
.add_box .title{ height: 0.6rem;}
.add_box .take_none p{ padding: 0.3rem 0; text-align: center; }
.add_box .take_list{ margin: 0.3rem 0 0 0; }
.add_box .take_list .add_list{ width:5.6rem; }
.add_box .take_list .add_list .current{ background: #F80505; text-align:center; width: 0.6rem; height: 0.3rem; line-height: 0.3rem; border-radius: 0.06rem; color: #fff; }
.add_box .take_list .add_list input{ margin-right: 0.1rem; }
.add_box .take_list .add_list .add_detail{ width:5rem; margin-top: 0.1rem;}

/*配送方式*/
.transport{ width: 7rem; padding: 0 0.25rem;background: #fff;}
.transport .transport_title{ height:0.84rem; line-height: 0.84rem;}
.transport .transport_list{padding: 0.2rem 0;}
.transport .transport_list img{ width: 1rem; height: 1rem; border-radius: 0.1rem; border:1px solid #eee; }
.transport .transport_list .transport_content{ width: 5.7rem; line-height:2;}
.transport .transport_list .transport_img{ width: 6rem; margin: 0;}
.transport .transport_list .transport_img img{margin:0.1rem 0.15rem 0.1rem 0;}

/*分类*/
.nav_top{position: fixed; top: 0;width: 7.2rem;padding:0.15rem; height:1.1rem;background: #F8F8F9;}
.nav_top a{ display: block;text-align: center;width: 0.6rem;height: 1.1rem; line-height: 1.1rem; }
.nav_top .nav_list{ width: 6.5rem; text-align: center; border-right: 1px solid #eee;margin: 0;}
.nav_top .nav_list .current{ color: #FD344F; }
.nav_top .nav_list .swiper-slide img{ width: 0.7rem; height: 0.7rem; border-radius:100%; }
.ge-scrolltab{width: 7.5rem;position:absolute;top:1.4rem;left:0;right:0;bottom:0;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;margin: 0 auto;overflow: hidden;}
.ge-scrolltab-nav{height:100%;width: 1.7rem;background: #f8f8f9;-webkit-overflow-scrolling:touch;position:relative;z-index:1;text-align: center;overflow-y: scroll;overflow-x: hidden;}
.ge-scrolltab-nav .nav_title{width:1.7rem;text-align: center; border-left: 0.08rem solid #f8f8f9;}
.ge-scrolltab-active .nav_title{border-color: #FD344F; color: #FD344F;}
.ge-scrolltab-item{padding: 0.2rem 0; height:0.6rem; display: block;line-height: 0.6rem; }
.ge-scrolltab-active,.ge-scrolltab-active:active{background:#fff;}
.ge-scrolltab-active .nav_title{font-weight: 700;}
.ge-scrolltab-content{height:100%;background: #fff;overflow-y:auto;-webkit-overflow-scrolling:touch;-webkit-box-flex:1;-webkit-flex:1;-ms-flex:1;flex:1;padding:0 0.3rem;position:relative;overflow: hidden;}
.nav_scrolltab img.banner{ width:5.2rem; height: 1.6rem; border-radius: 0.1rem; margin-top: 0.3rem;}
.nav_scrolltab .nav_box{ padding-bottom:0.5rem;}
.nav_scrolltab .footer_tip{padding-bottom:0.5rem; text-align: center; }
.nav_scrolltab .nav_box .nav_content{padding: 0.2rem 0 0 0;}
.nav_scrolltab .nav_box .nav_content img{ width: 1.6rem; height: 1.6rem; border-radius: 0.1rem; }
.nav_scrolltab .nav_box .nav_content .nav_detail{width: 3.4rem; height: 1.6rem;align-content: space-between;margin:0;}
.nav_scrolltab .nav_box .nav_content .nav_detail .tag{padding: 0.02rem 0.1rem;border-radius:4px; border:1px solid #62ADFC;margin: 0 1rem 0 0;}
.nav_scrolltab .nav_box .nav_content .nav_detail .nav_detail_title{ width: 3.4rem;}
.nav_scrolltab .nav_box .nav_content .nav_detail .nav_detail_title span{ font-size: 0.24rem; padding:0.05rem 0.1rem;}
span.local{background: linear-gradient(135deg, rgba(212,249,208,1),rgba(228,245,226,0.1));  color: #4bc543; border-radius: 0.04rem;}
span.yun{background: linear-gradient(135deg, rgba(214,233,247,1),rgba(224,233,253,0.1));  color: #389BF1; border-radius: 0.04rem;}

/*layer*/
.layui-layer-setwin .layui-layer-close2{ top: -5px !important; right: -5px !important; }
.layui-layer-setwin .layui-layer-close2:hover{ background-position: -149px -31px !important;}
/*layer-scroll*/
body .demo-class{border-radius:0.5rem 0.5rem 0 0 !important; bottom: 0!important;}
.time_box{ width:6.9rem; height: 8.6rem; margin:0 auto; padding: 0.4rem 0 0 0; position: relative;}
.time_box p{ text-align: center;}
.time_box button{ width: 6.7rem; height: 0.88rem; line-height: 0.88rem; border-radius: 0.5rem; background: linear-gradient(92deg, #F9D213, #FE9600);left: 0.1rem; bottom: 0.5rem; position: absolute; color: #fff; }
.time_box .time_list span{padding: 0.3rem 0; display: block;}
.time_box .time_list a{ display: block;  width: 1.9rem; height: 0.6rem; line-height: 0.6rem; border-radius: 0.1rem;  text-align: center; background: #eee; border:1px solid #eee; margin: 0 0.3rem 0.3rem 0; color: #999;}
.time_box .time_list a.current{ background:#FFF5E7; border-color:#fe9600; color: #fe9600;}



/* Checkbox*/
input[type=checkbox],input[type=radio]{-webkit-appearance: none;-moz-appearance: none;-ms-appearance: none;-o-appearance: none;appearance: none;position: relative;right: 0;bottom: 0;left: 0;height:0.4rem;width:0.4rem;vertical-align: -0.8rem;transition:all .15s ease-out 0s;color: #fff;cursor: pointer;display: inline-block;outline: none;border-radius: 0.4rem;}
input[type=checkbox]:before,input[type=checkbox]:after,input[type=radio]:before,input[type=radio]:after{position: absolute;content: "";background: #fff;transition: all .2s ease-in-out;}
input[type=checkbox]:before,input[type=radio]:before{left: 2px;top: 6px;width: 0;height: 2px;transform: rotate(45deg);-webkit-transform: rotate(45deg);-moz-transform: rotate(45deg);-ms-transform: rotate(45deg);-o-transform: rotate(45deg);}
input[type=checkbox]:after,input[type=radio]:after{right: 9px;bottom: 3px;width: 0.02rem;height: 0;transform: rotate(40deg);-webkit-transform: rotate(40deg);-moz-transform: rotate(40deg);-ms-transform: rotate(40deg);-o-transform: rotate(40deg);transition-delay: .2s;}
input[type=checkbox]:checked:before,input[type=radio]:checked:before{left: 0.02rem;top: 0.2rem;width: 0.14rem;height: 0.04rem;}
input[type=checkbox]:checked:after,input[type=radio]:checked:after{right: 0.1rem;bottom: 0.02rem;width: 0.04rem;height: 0.26rem;}
/* Colors*/
input[type=checkbox],input[type=radio]{border: 2px solid #FF5050;}
input[type=checkbox]:checked,input[type=radio]:checked{background: #FF5050;}

/*new*/
.titleImgBox{width: 94%;margin: 0 auto;}
.ge-home-banner{width: 94%;margin: 1rem auto 0 auto;}
.ge-home-banner img,.titleImgBox img{border-radius: 10px;}
.mainListBox{margin-top: 0.2rem;background: #fff;}
.ge-home-banner-wrap{background: #fff;padding-top: 0.2rem;}
.swiper-container{width: 94%;margin-top: 0.2rem;}
.swiper4 .swiper-slide{width:28% !important;}
.item-top img{border-radius:10px;}
.price{color: #FD344F !important; text-align: center !important;}
.nav_list .ge-scrolltab-active,.nav_list .ge-scrolltab-active:active{ color: #FD344F; background: none;}
.nav_list .ge-scrolltab-item{ padding: 0; line-height: normal; }
.nav_scrolltab {overflow-y: scroll;height: 100%; overflow-x: hidden;}